NServiceBus Host 7 and Endpoints on .NET 4.7.2

Our implementation is currently utilizing NServiceBus Host 7 (NSB 6). We started updating our endpoints to .NET Framework version 4.7.2, but are having a discussion internally about compatibility with NServiceBus Host, since it relies on version 4.5.2 of the .NET Framework.

Will upgrading the endpoints cause issue with NServiceBus Host 7?

https://docs.microsoft.com/en-us/dotnet/framework/migration-guide/versions-and-dependencies#targeting-and-running-net-framework-apps-for-version-45-and-later

The host requires atleast 4.5.2 which is the same for NServiceBus Core.

Also see https://docs.particular.net/nservicebus/operations/dotnet-framework-version-requirements

There should be no issue with targeting a higher framework version.